Generation Framework

## org.eclipse.gmf.tooldef.util
Class GMFToolSwitch

    java.lang.Object
      org.eclipse.gmf.tooldef.util.GMFToolSwitch

public class GMFToolSwitch
extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `GMFToolPackage`
** Generated **

Field Summary
`protected static GMFToolPackage` `modelPackage` The cached model package

Constructor Summary
`GMFToolSwitch()` Creates an instance of the switch

Method Summary
`java.lang.Object` `caseAbstractTool(AbstractTool object)` Returns the result of interpretting the object as an instance of 'Abstract Tool'
`java.lang.Object` `caseBundleImage(BundleImage object)` Returns the result of interpretting the object as an instance of 'Bundle Image'
`java.lang.Object` `caseContextMenu(ContextMenu object)` Returns the result of interpretting the object as an instance of 'Context Menu'
`java.lang.Object` `caseContributionItem(ContributionItem object)` Returns the result of interpretting the object as an instance of 'Contribution Item'
`java.lang.Object` `caseCreationTool(CreationTool object)` Returns the result of interpretting the object as an instance of 'Creation Tool'
`java.lang.Object` `caseDefaultImage(DefaultImage object)` Returns the result of interpretting the object as an instance of 'Default Image'
`java.lang.Object` `caseGenericStyleSelector(GenericStyleSelector object)` Returns the result of interpretting the object as an instance of 'Generic Style Selector'
`java.lang.Object` `caseGenericTool(GenericTool object)` Returns the result of interpretting the object as an instance of 'Generic Tool'
`java.lang.Object` `caseImage(Image object)` Returns the result of interpretting the object as an instance of 'Image'
`java.lang.Object` `caseItemBase(ItemBase object)` Returns the result of interpretting the object as an instance of 'Item Base'
`java.lang.Object` `caseItemRef(ItemRef object)` Returns the result of interpretting the object as an instance of 'Item Ref'
`java.lang.Object` `caseMainMenu(MainMenu object)` Returns the result of interpretting the object as an instance of 'Main Menu'
`java.lang.Object` `caseMenu(Menu object)` Returns the result of interpretting the object as an instance of 'Menu'
`java.lang.Object` `caseMenuAction(MenuAction object)` Returns the result of interpretting the object as an instance of 'Menu Action'
`java.lang.Object` `casePalette(Palette object)` Returns the result of interpretting the object as an instance of 'Palette'
`java.lang.Object` `casePaletteSeparator(PaletteSeparator object)` Returns the result of interpretting the object as an instance of 'Palette Separator'
`java.lang.Object` `casePopupMenu(PopupMenu object)` Returns the result of interpretting the object as an instance of 'Popup Menu'
`java.lang.Object` `casePredefinedItem(PredefinedItem object)` Returns the result of interpretting the object as an instance of 'Predefined Item'
`java.lang.Object` `casePredefinedMenu(PredefinedMenu object)` Returns the result of interpretting the object as an instance of 'Predefined Menu'
`java.lang.Object` `caseSeparator(Separator object)` Returns the result of interpretting the object as an instance of 'Separator'
`java.lang.Object` `caseStandardTool(StandardTool object)` Returns the result of interpretting the object as an instance of 'Standard Tool'
`java.lang.Object` `caseStyleSelector(StyleSelector object)` Returns the result of interpretting the object as an instance of 'Style Selector'
`java.lang.Object` `caseToolbar(Toolbar object)` Returns the result of interpretting the object as an instance of 'Toolbar'
`java.lang.Object` `caseToolContainer(ToolContainer object)` Returns the result of interpretting the object as an instance of 'Tool Container'
`java.lang.Object` `caseToolGroup(ToolGroup object)` Returns the result of interpretting the object as an instance of 'Tool Group'
`java.lang.Object` `caseToolRegistry(ToolRegistry object)` Returns the result of interpretting the object as an instance of 'Tool Registry'
`java.lang.Object` `defaultCase(EObject object)` Returns the result of interpretting the object as an instance of 'EObject'
`protected java.lang.Object` `doSwitch(EClass theEClass, EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`java.lang.Object` `doSwitch(EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`protected java.lang.Object` `doSwitch(int classifierID, EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static GMFToolPackage modelPackage

  The cached model package

  ** Generated **

Constructor Detail

### GMFToolSwitch

    public GMFToolSwitch()

  Creates an instance of the switch.

** Generated **

Method Detail

### doSwitch

    public java.lang.Object doSwitch(EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.
  ** Generated **

### doSwitch

    protected java.lang.Object doSwitch(EClass theEClass,
                                        EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.
  ** Generated **

### doSwitch

    protected java.lang.Object doSwitch(int classifierID,
                                        EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.
  ** Generated **

### caseToolRegistry

    public java.lang.Object caseToolRegistry(ToolRegistry object)

  Returns the result of interpretting the object as an instance of 'Tool Registry'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Tool Registry'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseAbstractTool

    public java.lang.Object caseAbstractTool(AbstractTool object)

  Returns the result of interpretting the object as an instance of 'Abstract Tool'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Abstract Tool'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseToolContainer

    public java.lang.Object caseToolContainer(ToolContainer object)

  Returns the result of interpretting the object as an instance of 'Tool Container'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Tool Container'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### casePaletteSeparator

    public java.lang.Object casePaletteSeparator(PaletteSeparator object)

  Returns the result of interpretting the object as an instance of 'Palette Separator'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Palette Separator'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseToolGroup

    public java.lang.Object caseToolGroup(ToolGroup object)

  Returns the result of interpretting the object as an instance of 'Tool Group'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Tool Group'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### casePalette

    public java.lang.Object casePalette(Palette object)

  Returns the result of interpretting the object as an instance of 'Palette'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Palette'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseStandardTool

    public java.lang.Object caseStandardTool(StandardTool object)

  Returns the result of interpretting the object as an instance of 'Standard Tool'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Standard Tool'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCreationTool

    public java.lang.Object caseCreationTool(CreationTool object)

  Returns the result of interpretting the object as an instance of 'Creation Tool'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Creation Tool'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenericTool

    public java.lang.Object caseGenericTool(GenericTool object)

  Returns the result of interpretting the object as an instance of 'Generic Tool'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Generic Tool'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseItemBase

    public java.lang.Object caseItemBase(ItemBase object)

  Returns the result of interpretting the object as an instance of 'Item Base'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Item Base'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseMenu

    public java.lang.Object caseMenu(Menu object)

  Returns the result of interpretting the object as an instance of 'Menu'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Menu'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseSeparator

    public java.lang.Object caseSeparator(Separator object)

  Returns the result of interpretting the object as an instance of 'Separator'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Separator'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### casePredefinedItem

    public java.lang.Object casePredefinedItem(PredefinedItem object)

  Returns the result of interpretting the object as an instance of 'Predefined Item'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Predefined Item'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### casePredefinedMenu

    public java.lang.Object casePredefinedMenu(PredefinedMenu object)

  Returns the result of interpretting the object as an instance of 'Predefined Menu'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Predefined Menu'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseContributionItem

    public java.lang.Object caseContributionItem(ContributionItem object)

  Returns the result of interpretting the object as an instance of 'Contribution Item'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Contribution Item'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseMenuAction

    public java.lang.Object caseMenuAction(MenuAction object)

  Returns the result of interpretting the object as an instance of 'Menu Action'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Menu Action'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseItemRef

    public java.lang.Object caseItemRef(ItemRef object)

  Returns the result of interpretting the object as an instance of 'Item Ref'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Item Ref'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseContextMenu

    public java.lang.Object caseContextMenu(ContextMenu object)

  Returns the result of interpretting the object as an instance of 'Context Menu'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Context Menu'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### casePopupMenu

    public java.lang.Object casePopupMenu(PopupMenu object)

  Returns the result of interpretting the object as an instance of 'Popup Menu'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Popup Menu'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseMainMenu

    public java.lang.Object caseMainMenu(MainMenu object)

  Returns the result of interpretting the object as an instance of 'Main Menu'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Main Menu'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseToolbar

    public java.lang.Object caseToolbar(Toolbar object)

  Returns the result of interpretting the object as an instance of 'Toolbar'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Toolbar'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseImage

    public java.lang.Object caseImage(Image object)

  Returns the result of interpretting the object as an instance of 'Image'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Image'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDefaultImage

    public java.lang.Object caseDefaultImage(DefaultImage object)

  Returns the result of interpretting the object as an instance of 'Default Image'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Default Image'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseBundleImage

    public java.lang.Object caseBundleImage(BundleImage object)

  Returns the result of interpretting the object as an instance of 'Bundle Image'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Bundle Image'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseStyleSelector

    public java.lang.Object caseStyleSelector(StyleSelector object)

  Returns the result of interpretting the object as an instance of 'Style Selector'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Style Selector'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenericStyleSelector

    public java.lang.Object caseGenericStyleSelector(GenericStyleSelector object)

  Returns the result of interpretting the object as an instance of 'Generic Style Selector'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Generic Style Selector'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### defaultCase

    public java.lang.Object defaultCase(EObject object)

  Returns the result of interpretting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EObject'.
  See Also:
    `GMFToolSwitch.doSwitch(org.eclipse.emf.ecore.EObject)`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.